import 'dart:convert';
import 'dart:typed_data';

extension Base64urlDecoderForStrings on String {
  Uint8List decodeBase64URL() {
    return base64Url.decoder.convert(this);
  }

  Uint8List decodeBase64() {
    return base64.decoder.convert(this);
  }
}

extension Base64urlEncoderForLists on List<int> {
  String encodeBase64URL() {
    return base64Url.encoder.convert(this);
  }

  String encodeBase64() {
    return base64.encoder.convert(this);
  }
}

extension Base64urlEncoderForUint8List on Uint8List {
  String encodeBase64URL() {
    return base64Url.encoder.convert(this);
  }

  String encodeBase64() {
    return base64.encoder.convert(this);
  }
}
